// myWinampInfo.cpp : implementation file
//

#include "stdafx.h"
#include "myWinampInfo.h"
#include ".\mywinampinfo.h"


// CmyWinampInfo

IMPLEMENT_DYNAMIC(CmyWinampInfo, CWnd)
CmyWinampInfo::CmyWinampInfo()
{
	pMainHost = NULL;
}

CmyWinampInfo::~CmyWinampInfo()
{
}


BEGIN_MESSAGE_MAP(CmyWinampInfo, CWnd)
	ON_WM_TIMER()
END_MESSAGE_MAP()



// CmyWinampInfo message handlers

BOOL CmyWinampInfo::Create(CWnd* pParentWnd) 
{
	BOOL	bSuccess;

	// Must have a parent
	ASSERT(pParentWnd != NULL);

	bSuccess = CreateEx(NULL, m_szClass, NULL, WS_POPUP, 0, 0, 0, 0, pParentWnd->GetSafeHwnd(), NULL, NULL);

	// Use default GUI font for default font
	m_pFont = CFont::FromHandle((HFONT)::GetStockObject(DEFAULT_GUI_FONT));


	return bSuccess;
}

void CmyWinampInfo::GetWinAmpTitle(CString stradd)
{
	if (pMainHost == NULL) return;

	HWND hwndWinamp = ::FindWindow("Winamp v1.x",NULL);
	if (hwndWinamp)
	{
		char this_title[2048],*p;
		::GetWindowText(hwndWinamp,this_title,sizeof(this_title));
		p = this_title+strlen(this_title)-8;
		while (p >= this_title)
		{

			if (!strnicmp(p,"- Winamp",8)) break;
			p--;

		}
		if (p >= this_title) p--;

		CString str;
		str.Format("%s", this_title);
		
		if (str.GetLength() > 2)
		{
			if (str.GetLength() != old_winamptitle.GetLength())
			{
				old_winamptitle = str;
				CString strsend;
				strsend = stradd + /*"Winamp - " + */str;
				SendMessageToHost(&strsend);
			}
		}
	}
}

void CmyWinampInfo::SendMessageToHost(CString * string)
{
	//       
	UMDC_MESBOXEXP *info = new UMDC_MESBOXEXP();

	info->MessageString = string;					// 
	//info->FromUserName	= &pHostInfo->pi_fromname;				//   ( )
	//info->MessageType	= pHostInfo->pi_iTypeIncomingMessage;	//   ( )
	info->iActionType	= 5;									//    ( )

	//     
	::SendMessage(pMainHost, WM_APP_SendTextExp, WPARAM(info), NULL);
	delete info;

	KillTimer(1);
	SetTimer(1, 30 * 1000, NULL);
}

void CmyWinampInfo::OnTimer(UINT nIDEvent)
{
	// TODO: Add your message handler code here and/or call default

	GetWinAmpTitle();

	CWnd::OnTimer(nIDEvent);
}
